Ordered step conversion
Session token issued by the accounts service (or the legacy /v1/auth routes).
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/analytics/funnel" \ -H "Content-Type: application/json" \ -d '{ "end": "2026-09-13T12:30:45Z", "start": "2026-08-14T00:00:00Z", "steps": [ "signup", "project_created", "first_event" ], "window_hours": 168 }'{ "funnel": { "counting": "unique_users", "immature_users": 100, "observed_until": "2026-09-13T12:30:45Z", "overall_conversion_rate": 64, "steps": [ { "conversion_rate": 100, "drop_off_rate": null, "mature_users": 900, "name": "signup", "users": 1000 }, { "conversion_rate": 64, "drop_off_rate": 36, "mature_users": 576, "name": "project_created", "users": 640 } ], "total_completed": 640, "total_entered": 1000, "window_hours": 168 }}